Package ch.qos.logback.core.rolling.helper

# Class IntegerTokenConverter

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>
ch.qos.logback.core.pattern.DynamicConverter<Object>
ch.qos.logback.core.rolling.helper.IntegerTokenConverter

All Implemented Interfaces:
  `MonoTypedConverter`, `ContextAware`, `LifeCycle`

public class IntegerTokenConverter extends DynamicConverter<Object> implements MonoTypedConverter
When asked to convert an integer, `IntegerTokenConverter` the string value of that integer.

Author:
  Ceki Gulcu

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONVERTER_KEY`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

## Constructor Summary

Constructors
Constructor
Description
`IntegerTokenConverter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`convert(int i)`
`String`
`convert(Object o)`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`boolean`
`isApplicable(Object o)`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONVERTER_KEY

public static final String CONVERTER_KEY

See Also:
  - Constant Field Values

## Constructor Details

### IntegerTokenConverter

public IntegerTokenConverter()

## Method Details

### convert

public String convert(int i)

### convert

public String convert(Object o)
Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<Object>`

### isApplicable

public boolean isApplicable(Object o)

Specified by:
  `isApplicable` in interface `MonoTypedConverter`